export type ModeAction = (argv: string[]) => void | Promise<void>;
export type ActionModule = {
    action: ModeAction;
};
export declare function isHelpArgs(argv: string[]): boolean;
export declare function findMainCommandNameAndArgs(argv: string[]): [string | null, string[]];
export type CommandAndArgs<T> = {
    needHelp: false;
    command: T;
    argv: string[];
} | {
    needHelp: true;
    command: string | null;
};
export declare function getCommandAndArgs<T extends string>(argv: string[], modes: T[]): CommandAndArgs<T>;
//# sourceMappingURL=args.d.ts.map