import { type FastlyApiContext } from '../fastly-api/api-token.js';
export type KVStoreItemDesc = {
    write: boolean;
    size: number;
    key: string;
    filePath: string;
    metadataJson?: Record<string, any>;
};
export declare function uploadFilesToKVStore(fastlyApiContext: FastlyApiContext, kvStoreName: string, kvStoreItemDescriptions: KVStoreItemDesc[]): Promise<void>;
export declare function shouldRecreateChunks(chunksDir: string, numChunks: number, item: KVStoreItemDesc, chunkSize: number): boolean;
export declare function applyKVStoreEntriesChunks(kvStoreItemDescriptions: KVStoreItemDesc[], chunkSize: number): Promise<void>;
//# sourceMappingURL=kv-store-items.d.ts.map